Subject: [core] 🔔 WGLC on draft-ietf-core-coap-tcp-tls

From: Göran Selander <[email-masked]>
Date: Tue, 25 Oct 2016 07:59:34 +0000

Dear all,

I'd like to revisit the discussion on the status of TLS in CoAP over TCP implementations.

In the security considerations section

https://tools.ietf.org/html/draft-ietf-core-coap-tcp-tls-04#section-7

it is stated:

"TLS version 1.2 or higher is mandatory-to-implement and MUST be enabled by default."

I thought one conclusion from Berlin was that we should align with RFC7252, which allows UDP or DTLS.

Considering that CoAP over TCP may be protected on other layers than transport layer, e.g. on application layer using OSCOAP — why is it necessary to mandate the implementation

of TLS?

In some use cases communication security may be required at multiple layers. But in other cases where TLS is not adequate/necessary as a second protocol and considering a constrained device may not be able to support multiple security protocol implementations, it doesn't make sense to always require TLS code.

I propose the quoted sentence is replaced with a statement saying something like for CoAP over TCP it is mandatory-to-implement a security protocol, and that security must be enabled by default. Recommended protocols can be provided, and mandatory-to-implement ciphersuites for a given protocol, like for DTLS in RFC7252. But it should not be restricted to TLS.

Regards,

Göran

From: core <[email-masked]<mailto:[email-masked]>> on behalf of Jaime Jiménez <[email-masked]<mailto:[email-masked]>>
Date: Tuesday 18 October 2016 at 11:22
To: "[email-masked]<mailto:[email-masked]> WG" <[email-masked]<mailto:[email-masked]>>
Cc: Klaus Hartke <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Hannes Tschofenig <[email-masked]<mailto:[email-masked]>>
Subject: [core] 🔔 WGLC on draft-ietf-core-coap-tcp-tls

Dear CoRE WG,

The core-coap-tcp-tls draft has gotten to a state that the authors feel is in good shape for WGLC.
We would like to ask the group to start checking this last version and the issues on the Github repository.

https://tools.ietf.org/html/draft-ietf-core-coap-tcp-tls-05

There is at the moment one open issue left in the tracker ( https://github.com/core-wg/coap-tcp-tls/issues/31  ) which is mostly editorial. The issues raised during last IETF - about Observe over reliable transports -  have been closed and new text has been added to the appendix: https://github.com/core-wg/coap-tcp-tls/issues/5

Best Regards,
- - Jaime Jiménez